#!/usr/bin/python3

import sys

filename = sys.argv[1]

with open(filename) as file:
    text = file.readlines()

tokenised = [line.strip().split() for line in text]

videoCount = tokenised[0][0]
endpointCount = tokenised[0][1]
requestDescriptionCount = tokenised[0][2]
cacheCount = tokenised[0][3]
cacheSize = tokenised[0][4]

videoSizes = tokenised[1]

endpointDatacenterLatencies = []
endpointCacheLatencies = []
i = 2
for endpoint in range(0, int(endpointCount)):
    endpointDatacenterLatencies.append(tokenised[endpoint + i][0])

    endpointCacheLatencies.append({})
    endpointCacheCount = tokenised[endpoint + i][1]
    for cache in range(0, int(endpointCacheCount)):
        cacheId = tokenised[endpoint + 1 + cache + i][0]
        cacheLatency = tokenised[endpoint + 1 + cache + i][1]
        endpointCacheLatencies[endpoint][cacheId] = cacheLatency
    i += int(endpointCacheCount)


i += int(endpointCount)

requestDescriptions = []
for video in range(0, int(videoCount)):
    requestDescriptions.append({})

for requestDescription in range(0, int(requestDescriptionCount)):
    video = int(tokenised[i + requestDescription][0])
    endpoint = int(tokenised[i + requestDescription][1])
    requestCount = int(tokenised[i + requestDescription][2])
    requestDescriptions[video][endpoint] = requestCount

print(requestDescriptions)
